<template>
  <div
      class="radio-button" :class="{'active': active}"
      @click="mouseClick">
    <span>{{ label }}</span>
  </div>
</template>

<script>
export default {
  name: "RadioButton",
  props: {
    label: {
      type: String,
      default: ""
    },
    name: {
      type: String,
      default: ""
    },
    value: {
      type: String,
      default: ""
    },
    url: {
      type: String,
      default: ""
    },
  },
  data() {
    return {

    }
  },
  methods: {
    mouseClick() {
      this.$emit('click', {
        name: this.name,
        url: this.url,
      });
    },
  },
  computed: {
    active() {
      // 未定义name
      if(this.name == "") {
        return false;
      }
      // 检测name和value相等
      if(this.name == this.value) {
        return true;
      }else {
        return false;
      }
    },
  },
  mounted() {

  },
  destroyed() {

  }
}
</script>

<style scoped>
.radio-button {
  display: inline-block;
  font-size: 12px;
  padding: 6px 8px;
  min-width: 110px;
  text-align: center;
  font-weight: 700;
  border-radius: 4px;
  cursor: pointer;
}

</style>